﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace XamComboEditorMVVMBeh
{
    public class MainWindowViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<MyComboBoxItem> inventoryList;

        public event PropertyChangedEventHandler PropertyChanged = delegate { };

        public MainWindowViewModel()
        {
            this.InventoryList = new ObservableCollection<MyComboBoxItem>
            {
                new MyComboBoxItem { Name = "Name 1", Desc = "Desc 1" },
                new MyComboBoxItem { Name = "Name 2", Desc = "Desc 2" },
                new MyComboBoxItem { Name = "Name 11", Desc = "Desc 11" }
            };
        }

        public ObservableCollection<MyComboBoxItem> InventoryList
        {
            get
            {
                return this.inventoryList;
            }

            set
            {
                if (this.inventoryList != value)
                {
                    this.inventoryList = value;
                    this.OnPropertyChanged("InventoryList");
                }
            }
        }

        public void OnPropertyChanged(string propertyName)
        {
            this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}